
# lib is called libwebkitgtk-%{libver}.so.%{major}
%define libver  1.0
%define major	0
%define oname		webkitgtk
%define libname		%mklibname webkitgtk %{libver} %{major}
%define develname	%mklibname webkitgtk %{libver} -d
%define inspectorname	webkit%{libver}-webinspector
%define libgirname      %mklibname %name-gir %{libver}
%define libgirjscore    %mklibname javascriptcore-gir %{libver}
%define libjavascriptcoregtk    %mklibname javascriptcoregtk %{libver} %{major}


%define build_webkit2 0

Summary:	Web browser engine
Name:		webkitgtk1
Version:	2.4.11
Release:	%mkrel 1
License:	BSD and LGPLv2+
Group:		System/Libraries
Source0:	http://webkitgtk.org/releases/%{oname}-%{version}.tar.xz
Patch0:		webkit-2.3.90-link.patch
Patch2:		webkit-2.1.90-allowScriptsToCloseWindows.patch
Patch3:		webkitgtk-2.1.92-gtk-includes.patch
Patch4:     webkitgtk-typelib-sharelib-link.patch
URL:		http://www.webkitgtk.org
BuildRequires:	bison
BuildRequires:	curl-devel
BuildRequires:	flex
BuildRequires:	fontconfig-devel
BuildRequires:	gperf
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	librsvg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libsoup-devel
BuildRequires:	libtool
BuildRequires:	libxslt-devel
BuildRequires:	libxt-devel
BuildRequires:	pkgconfig
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	libgail-3.0-devel
BuildRequires:	mesa-devel
BuildRequires:	sqlite3-devel
BuildRequires:	xft2-devel
BuildRequires:	libgstreamer1.0-plugins-base-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	enchant-devel
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(geoclue)
BuildRequires:	gail-devel
BuildRequires:	perl-Switch
BuildRequires:	ruby
#-------------------------------------------------------
Obsoletes: webkit
Obsoletes: webkit-gtklauncher
Obsoletes: webkit-jsc
Obsoletes: webkit1.0
Obsoletes: webkit1.0-webinspector
Obsoletes: %{_lib}webkitgtk1.0_0
#-------------------------------------------------------
Provides: webkit = %{version}-%{release}
Provides: webkit-gtklauncher = %{version}-%{release}
Provides: webkit-jsc = %{version}-%{release}
Provides: webkit1.0 = %{version}-%{release}
Provides: webkit1.0-webinspector = %{version}-%{release}
Provides: %{_lib}webkitgtk1.0_0 = %{version}-%{release}
#------------------------------------------------------

%description
WebKit is an open source web browser engine.

%package devel
Summary:	Development files for WebKit GTK+ port
Group:		Development/Libraries
Provides: webkitgtk-devel = %{version}-%{release}
Provides: libwebkitgtk-devel = %{version}-%{release}
Provides: %{mklibname webkitgtk -d} = %{version}-%{release}
Requires: %{name} = %{version}
Obsoletes: %{_lib}webkitgtk1.0-devel
Provides: %{_lib}webkitgtk1.0-devel = %{version}-%{release}

%description devel
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux. This package contains development headers.


%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
autoreconf -fi
%define myflags %(echo %{optflags} | sed 's/-g /-g1 /')
export CFLAGS="%myflags"
export CXXFLAGS="%myflags"

%configure2_5x  --with-gtk=2.0 --enable-introspection --disable-webkit2

%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_libexecdir}/webkit
install -m 755 Programs/GtkLauncher %{buildroot}%{_libexecdir}/webkit

rm -rf %{buildroot}%{_libdir}/libtestnetscapeplugin.*
rm -rf %{buildroot}%{_datadir}/gtk-doc

find %{buildroot} -name '*.la' -delete


%find_lang WebKitGTK-2.0

%files -f WebKitGTK-2.0.lang
%dir %{_datadir}/webkitgtk-1.0
%{_datadir}/webkitgtk-1.0/images
%{_datadir}/webkitgtk-1.0/resources
%{_libdir}/libwebkitgtk-%{libver}.so.%{major}*
%{_libdir}/libjavascriptcoregtk-%{libver}.so.%{major}*
%_libdir/girepository-1.0/JavaScriptCore-%{libver}.typelib
%_libdir/girepository-1.0/WebKit-%{libver}.typelib
%{_libexecdir}/webkit/GtkLauncher
%{_bindir}/jsc-1


%files devel
%{_libdir}/libwebkitgtk-%{libver}.so
%{_libdir}/libjavascriptcoregtk-%{libver}.so
%{_includedir}/webkitgtk-%{libver}
%{_libdir}/pkgconfig/webkit-%{libver}.pc
%{_libdir}/pkgconfig/javascriptcoregtk-%{libver}.pc
%_datadir/gir-1.0/JavaScriptCore-%{libver}.gir
%_datadir/gir-1.0/WebKit-%{libver}.gir

%changelog
* Sun Oct 23 2016 adrianomorselli <adrianomorselli> 2.4.11-1uplos2016
- rebuild

* Tue Apr 26 2016 bb <bb> 2.4.11-1pclos2016
- update

